<?php
/**
 * Header file - businest - Default Header
 * 
 * 
 * @version businest 1.5.0
 * 
 **/
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open();?>
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'businest' ); ?></a>
<header class="mainHeader">
    <div class="header">
        <nav class="navbar navbar-expand-md navbar-light" role="navigation">
            <div class="container">
                <a class="navbar-brand logo" href="<?php echo esc_url(home_url()); ?>">
                    <?php
                    if (display_header_text()==true){
                        echo '<p class="site-title">'.esc_html(get_bloginfo( 'name' )).'</p>';
                        echo '<p class="site-description">'.esc_html(get_bloginfo('description')).'</p>';
                    } else {
                        $custom_logo_id = get_theme_mod( 'custom_logo' );
                        $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
                        if ( has_custom_logo() ) {
                            echo '<img src="'. esc_url( $logo[0] ) .'" alt="logo">';
                        } else {
                            echo '<p class="site-title">'.esc_html(get_bloginfo( 'name' )).'</p>';
                        }
                    }
                    ?>
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#hvnavmenu" aria-controls="hvnavmenu" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <nav id="hvnavmenu" class="collapse navbar-collapse businest-container">
                <?php
                    wp_nav_menu(
                        array(
                            'theme_location'  => 'primary',
                            'container'       => 'ul',
                            'container_id'    => 'hvnavmenu',
                            'container_class' => 'collapse navbar-collapse businest-container',
                            'menu_id'         => 'primary-menu',
                            'menu_class'      => 'navbar-nav ml-auto businest-nav',
                            'fallback_cb'     => 'businest_menu_fallback',
                            'walker'          => new bs4navwalker()
                        )
                    );
					function businest_menu_fallback() {
					?>
                        <ul id="menu" class="navbar-nav ml-auto businest-nav">
                            <li><a href="/"><?php echo esc_html_e( 'Home', 'businest' );?></a></li>
                        </ul>
					<?php
				  }
                ?>
                </nav>
            </div>
        </nav>
    </div>
</header>
<div class="main" id="content">
    
    

		
