<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'HVThemes_Admin' ) ) :

	/**
	 * HVThemes_Admin Class.
	 */
	class HVThemes_Admin {

		/**
		 * Constructor.
		 */
		public function __construct() {
			add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		}

		/**
		 * Localize array for import button AJAX request.
		 */
		public function enqueue_scripts() {
			wp_enqueue_style( 'hvthemes-admin-style', get_template_directory_uri() . '/includes/admin/css/admin.css', array(), THEME_VERSION);

			wp_enqueue_script( 'hvthemes-plugin-install-helper', get_template_directory_uri() . '/includes/admin/js/plugin-handle.js', array( 'jquery' ), THEME_VERSION, true );

			$welcome_data = array(
				'uri'      => esc_url( admin_url( '/themes.php?page=demo-importer&browse=all&hvthemes-hide-notice=welcome' ) ),
				'btn_text' => esc_html__( 'Processing...', 'businest' ),
				'nonce'    => wp_create_nonce( 'hvthemes_demo_import_nonce' ),
			);

			wp_localize_script( 'hvthemes-plugin-install-helper', 'hvthemesRedirectDemoPage', $welcome_data );
		}
	}

endif;

return new HVThemes_Admin();
